# Patient read

`GET /Patient/{id}`

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records. 

The other operations are specific to <u>**Verato**</u> and <u>**CMS ACCESS**</u> (<u>**Advancing Chronic Care with Effective, Scalable Solutions**</u>). You must register and be approved to participate in CMS ACCESS. [Learn more about CMS ACCESS](https://www.cms.gov/priorities/innovation/innovation-models/access).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Patient` resource with details about a patient you're treating or interacting with.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Patient identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Patient

A profile on the patient resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `identifier` | Array of object | Yes | An identifier for this patient. |
| `identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `name` | Array of object | Yes | A name associated with the individual. |
| `name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `name[].given` | Array of string | No | Given name. |
| `name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `birthDate` | string | No | The date of birth for the individual. |
| `address` | Array of object | No | An address for the individual. |
| `address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `address[].district` | string | No | The name of the administrative area (county). |
| `address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `contact[].name` | object | No | A name associated with the contact person. |
| `contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `contact[].name.given` | Array of string | No | Given name. |
| `contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `contact[].address` | object | No | Address for the contact person. |
| `contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `contact[].address.district` | string | No | The name of the administrative area (county). |
| `contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |

#### Timothy Bixby

```json
{
  "resourceType": "Patient",
  "id": "RedoxPatientExampleTimothy",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 1
      }
    ]
  },
  "extension": [
    {
      "extension": [
        {
          "url": "text",
          "valueString": "White"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
    },
    {
      "extension": [
        {
          "url": "ombCategory",
          "valueCoding": {
            "code": "2135-2",
            "system": "urn:oid:2.16.840.1.113883.6.238",
            "display": "Hispanic or Latino"
          }
        },
        {
          "url": "text",
          "valueString": "Hispanic"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
    }
  ],
  "identifier": [
    {
      "value": "0000000001",
      "system": "urn:redox:health-one:MR"
    },
    {
      "value": "101-01-0001",
      "system": "http://hl7.org/fhir/sid/us-ssn"
    }
  ],
  "name": [
    {
      "given": [
        "Timothy",
        "Paul"
      ],
      "family": "Bixby",
      "use": "official"
    },
    {
      "text": "Billy",
      "use": "usual"
    }
  ],
  "gender": "male",
  "birthDate": "2008-01-06",
  "telecom": [
    {
      "value": "+18088675301",
      "system": "phone",
      "use": "home"
    },
    {
      "value": "+18008675309",
      "system": "phone",
      "use": "work"
    },
    {
      "value": "timothy.bixby@redoxengine.com",
      "system": "email"
    }
  ],
  "address": [
    {
      "line": [
        "4762 Hickory Street"
      ],
      "city": "Monroe",
      "district": "Greene",
      "state": "WI",
      "postalCode": "53566",
      "country": "US",
      "use": "home"
    }
  ],
  "maritalStatus": {
    "coding": [
      {
        "code": "M",
        "system": "http://hl7.org/fhir/v3/MaritalStatus",
        "display": "Married"
      }
    ],
    "text": "Married"
  },
  "communication": [
    {
      "language": {
        "coding": [
          {
            "code": "en",
            "system": "urn:ietf:bcp:47"
          }
        ],
        "text": "English"
      }
    }
  ],
  "contact": [
    {
      "name": {
        "given": [
          "Barbara"
        ],
        "family": "Bixby"
      },
      "telecom": [
        {
          "value": "+18088675303",
          "system": "phone",
          "use": "home"
        },
        {
          "value": "barbara.bixby@redoxengine.com",
          "system": "email"
        }
      ],
      "address": {
        "line": [
          "4762 Hickory St."
        ],
        "city": "Monroe",
        "district": "Green",
        "state": "WI",
        "postalCode": "53566",
        "country": "USA"
      },
      "relationship": [
        {
          "coding": [
            {
              "code": "MTH",
              "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
              "display": "mother"
            }
          ],
          "text": "Mother"
        },
        {
          "coding": [
            {
              "code": "C",
              "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
              "display": "Emergency Contact"
            }
          ],
          "text": "Emergency Contact"
        }
      ]
    }
  ],
  "generalPractitioner": [
    {
      "reference": "Practitioner/RedoxPractitionerExamplePat"
    }
  ],
  "managingOrganization": {
    "reference": "Organization/RedoxOrganizationManagingExample"
  }
}
```

#### Timothy Bixby Merged New

```json
{
  "resourceType": "Patient",
  "id": "RedoxPatientExampleTimothyMergedNew",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 1
      }
    ]
  },
  "extension": [
    {
      "extension": [
        {
          "url": "text",
          "valueString": "White"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
    },
    {
      "extension": [
        {
          "url": "ombCategory",
          "valueCoding": {
            "code": "2135-2",
            "system": "urn:oid:2.16.840.1.113883.6.238",
            "display": "Hispanic or Latino"
          }
        },
        {
          "url": "text",
          "valueString": "Hispanic"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
    }
  ],
  "identifier": [
    {
      "value": "0000000001",
      "system": "urn:redox:health-one:MR"
    },
    {
      "value": "101-01-0001",
      "system": "http://hl7.org/fhir/sid/us-ssn"
    }
  ],
  "link": [
    {
      "other": {
        "reference": "Patient/RedoxPatientExampleTimothyMergedOld"
      },
      "type": "replaces"
    }
  ],
  "name": [
    {
      "given": [
        "Timothy",
        "Paul"
      ],
      "family": "Bixby",
      "use": "official"
    },
    {
      "text": "Billy",
      "use": "usual"
    }
  ],
  "gender": "male",
  "birthDate": "2008-01-06",
  "telecom": [
    {
      "value": "+18088675301",
      "system": "phone",
      "use": "home"
    },
    {
      "value": "+18008675309",
      "system": "phone",
      "use": "work"
    },
    {
      "value": "timothy.bixby@redoxengine.com",
      "system": "email"
    }
  ],
  "address": [
    {
      "line": [
        "4762 Hickory Street"
      ],
      "city": "Monroe",
      "district": "Greene",
      "state": "WI",
      "postalCode": "53566",
      "country": "US",
      "use": "home"
    }
  ],
  "maritalStatus": {
    "coding": [
      {
        "code": "M",
        "system": "http://hl7.org/fhir/v3/MaritalStatus",
        "display": "Married"
      }
    ],
    "text": "Married"
  },
  "communication": [
    {
      "language": {
        "coding": [
          {
            "code": "en",
            "system": "urn:ietf:bcp:47"
          }
        ],
        "text": "English"
      }
    }
  ],
  "contact": [
    {
      "name": {
        "given": [
          "Barbara"
        ],
        "family": "Bixby"
      },
      "telecom": [
        {
          "value": "+18088675303",
          "system": "phone",
          "use": "home"
        },
        {
          "value": "barbara.bixby@redoxengine.com",
          "system": "email"
        }
      ],
      "address": {
        "line": [
          "4762 Hickory St."
        ],
        "city": "Monroe",
        "district": "Green",
        "state": "WI",
        "postalCode": "53566",
        "country": "USA"
      },
      "relationship": [
        {
          "coding": [
            {
              "code": "MTH",
              "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
              "display": "mother"
            }
          ],
          "text": "Mother"
        },
        {
          "coding": [
            {
              "code": "C",
              "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
              "display": "Emergency Contact"
            }
          ],
          "text": "Emergency Contact"
        }
      ]
    }
  ],
  "generalPractitioner": [
    {
      "reference": "Practitioner/RedoxPractitionerExamplePat"
    }
  ],
  "managingOrganization": {
    "reference": "Organization/RedoxOrganizationManagingExample"
  }
}
```

#### Timothy Bixby Merged Old

```json
{
  "resourceType": "Patient",
  "id": "RedoxPatientExampleTimothyMergedOld",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 1
      }
    ]
  },
  "extension": [
    {
      "extension": [
        {
          "url": "text",
          "valueString": "White"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
    },
    {
      "extension": [
        {
          "url": "ombCategory",
          "valueCoding": {
            "code": "2135-2",
            "system": "urn:oid:2.16.840.1.113883.6.238",
            "display": "Hispanic or Latino"
          }
        },
        {
          "url": "text",
          "valueString": "Hispanic"
        }
      ],
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
    }
  ],
  "identifier": [
    {
      "value": "0000000002",
      "system": "urn:redox:health-one:MR"
    },
    {
      "value": "101-01-0001",
      "system": "http://hl7.org/fhir/sid/us-ssn"
    }
  ],
  "link": [
    {
      "other": {
        "reference": "Patient/RedoxPatientExampleTimothyMergedNew"
      },
      "type": "replaced-by"
    }
  ],
  "name": [
    {
      "given": [
        "Timothy",
        "Paul"
      ],
      "family": "Bixby",
      "use": "official"
    },
    {
      "text": "Billy",
      "use": "usual"
    }
  ],
  "gender": "male",
  "birthDate": "2008-01-06",
  "telecom": [
    {
      "value": "+18088675301",
      "system": "phone",
      "use": "home"
    },
    {
      "value": "+18008675309",
      "system": "phone",
      "use": "work"
    },
    {
      "value": "timothy.bixby@redoxengine.com",
      "system": "email"
    }
  ],
  "address": [
    {
      "line": [
        "4762 Hickory Street"
      ],
      "city": "Monroe",
      "district": "Greene",
      "state": "WI",
      "postalCode": "53566",
      "country": "US",
      "use": "home"
    }
  ],
  "maritalStatus": {
    "coding": [
      {
        "code": "M",
        "system": "http://hl7.org/fhir/v3/MaritalStatus",
        "display": "Married"
      }
    ],
    "text": "Married"
  },
  "communication": [
    {
      "language": {
        "coding": [
          {
            "code": "en",
            "system": "urn:ietf:bcp:47"
          }
        ],
        "text": "English"
      }
    }
  ],
  "contact": [
    {
      "name": {
        "given": [
          "Barbara"
        ],
        "family": "Bixby"
      },
      "telecom": [
        {
          "value": "+18088675303",
          "system": "phone",
          "use": "home"
        },
        {
          "value": "barbara.bixby@redoxengine.com",
          "system": "email"
        }
      ],
      "address": {
        "line": [
          "4762 Hickory St."
        ],
        "city": "Monroe",
        "district": "Green",
        "state": "WI",
        "postalCode": "53566",
        "country": "USA"
      },
      "relationship": [
        {
          "coding": [
            {
              "code": "MTH",
              "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
              "display": "mother"
            }
          ],
          "text": "Mother"
        },
        {
          "coding": [
            {
              "code": "C",
              "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
              "display": "Emergency Contact"
            }
          ],
          "text": "Emergency Contact"
        }
      ]
    }
  ],
  "generalPractitioner": [
    {
      "reference": "Practitioner/RedoxPractitionerExamplePat"
    }
  ],
  "managingOrganization": {
    "reference": "Organization/RedoxOrganizationManagingExample"
  }
}
```

#### Barbara Bixby

```json
{
  "resourceType": "Patient",
  "id": "RedoxPatientExampleBarbara",
  "meta": {
    "extension": [
      {
        "url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
        "valueInteger": 2
      }
    ]
  },
  "identifier": [
    {
      "value": "0000000002",
      "system": "urn:redox:health-one:MR"
    }
  ],
  "name": [
    {
      "given": [
        "Barbara"
      ],
      "family": "Bixby"
    }
  ],
  "gender": "female",
  "birthDate": "1982-07-24"
}
```

#### Keva Green

```json
{
  "resourceType": "Patient",
  "id": "81c2f5eb-f99f-40c4-b504-59483e6148d7",
  "meta": {
    "lastUpdated": "2022-12-01T21:57:23.879Z"
  },
  "identifier": [
    {
      "value": "kyHGADnvX3xbkU4V9ayaqh",
      "system": "urn:redox:redox-fhir-sandbox:MR"
    },
    {
      "use": "secondary",
      "value": "483749",
      "system": "urn:redox:redox-fhir-sandbox:MR"
    }
  ],
  "active": true,
  "name": [
    {
      "use": "official",
      "given": [
        "Keva"
      ],
      "family": "Green"
    }
  ],
  "telecom": [
    {
      "use": "home",
      "value": "+18088675302",
      "system": "phone"
    },
    {
      "value": "Keva.Green-95@test.net",
      "system": "email"
    }
  ],
  "gender": "female",
  "birthDate": "1995-08-26",
  "address": [
    {
      "use": "home",
      "city": "Hillsboro",
      "line": [
        "932 Stehr Vista"
      ],
      "state": "OR",
      "country": "US",
      "postalCode": "97123"
    }
  ],
  "link": [
    {
      "type": "replaces",
      "other": {
        "reference": "Patient/69efd2ea-1256-4ae7-b4ec-5d0160427185"
      }
    }
  ],
  "extension": [
    {
      "url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race",
      "extension": [
        {
          "url": "text",
          "valueString": "White"
        },
        {
          "url": "ombCategory",
          "valueCoding": {
            "code": "2106-3",
            "system": "urn:oid:2.16.840.1.113883.6.238",
            "display": "White"
          }
        }
      ]
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
